# Initiate an account verification check

This endpoint allows clients to verify whether the provided account details (such as sort code and account number or IBAN) match the name of the intended account holder, whether an individual or a business

Endpoint: POST /account-verifications
Security: Bearer, BasicAuth

## Request fields (application/json):

  - `account` (object, required)
    Account information for account verification

  - `account.name` (string, required)
    Name of account holder

  - `account.currency` (string, required)
    Specifies the currency of the account being verified, represented in ISO 4217 three-letter format (e.g. EUR). This ensures accurate matching where account validation rules or naming conventions may vary by currency.
    Enum: "EUR"

  - `account.iban` (string, required)
    The International Bank Account Number (IBAN) which identifies a bank account across borders

  - `virtualAccountId` (string)
    The Token settlement account from which the subsequent payout or refund will be executed.
> Conditional - If this verification check is independent of a Token provided settlement account, this should NOT be provided.

## Response 200 fields (application/json):

  - `id` (string, required)
    Example: "01K4SMENHFT2MK5DKVDYWP6M7B"

  - `result` (object, required)

  - `result.status` (string, required)
    The outcome of the verification
    Enum: "MATCH", "NO_MATCH", "CLOSE_MATCH", "VERIFICATION_NOT_POSSIBLE"

  - `result.reasons` (array, required)
    A more granular reason as to why there was not a full match
    Enum: "UNKNOWN", "EXACT_MATCH", "NAME_MISMATCH", "ACCOUNT_MISMATCH"

  - `result.details` (string, required)
    A human readable explanation for the outcome of the verification check

  - `result.matched` (object)
    Further details on the attributes that would result in a full match

  - `result.matched.name` (string)
    The name matched to the account provided

## Response 400 fields (application/json):

  - `error` (object)
    The request does not have valid authentication credentials needed to perform the operation.

  - `error.message` (string)
    A description of the error.
    Example: "This is a description of the error."

  - `error.tokenTraceId` (string)
    The trace identifier for the given call.
    Example: "5678912345"


